## org.eclipse.ocl.cst.impl
Class CSTPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.cst.impl.CSTPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, CSTPackage

    public class CSTPackageImpl

extends EPackageImpl
implements CSTPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.cst.CSTPackage
`CSTPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.cst.CSTPackage

`BOOLEAN_LITERAL_EXP_CS, BOOLEAN_LITERAL_EXP_CS__AST, BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL, BOOLEAN_LITERAL_EXP_CS__END_OFFSET, BOOLEAN_LITERAL_EXP_CS__END_TOKEN, BOOLEAN_LITERAL_EXP_CS__START_OFFSET, BOOLEAN_LITERAL_EXP_CS__START_TOKEN, BOOLEAN_LITERAL_EXP_CS__SYMBOL, BOOLEAN_LITERAL_EXP_CS_FEATURE_COUNT, CALL_EXP_CS, CALL_EXP_CS__ACCESSOR, CALL_EXP_CS__AST, CALL_EXP_CS__END_OFFSET, CALL_EXP_CS__END_TOKEN, CALL_EXP_CS__SIMPLE_NAME_CS, CALL_EXP_CS__SOURCE, CALL_EXP_CS__START_OFFSET, CALL_EXP_CS__START_TOKEN, CALL_EXP_CS_FEATURE_COUNT, CLASSIFIER_CONTEXT_DECL_CS, CLASSIFIER_CONTEXT_DECL_CS__AST, CLASSIFIER_CONTEXT_DECL_CS__CONSTRAINTS, CLASSIFIER_CONTEXT_DECL_CS__END_OFFSET, CLASSIFIER_CONTEXT_DECL_CS__END_TOKEN, CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS, CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS, CLASSIFIER_CONTEXT_DECL_CS__START_OFFSET, CLASSIFIER_CONTEXT_DECL_CS__START_TOKEN, CLASSIFIER_CONTEXT_DECL_CS_FEATURE_COUNT, COLLECTION_LITERAL_EXP_CS, COLLECTION_LITERAL_EXP_CS__AST, COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS, COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE, COLLECTION_LITERAL_EXP_CS__END_OFFSET, COLLECTION_LITERAL_EXP_CS__END_TOKEN, COLLECTION_LITERAL_EXP_CS__START_OFFSET, COLLECTION_LITERAL_EXP_CS__START_TOKEN, COLLECTION_LITERAL_EXP_CS_FEATURE_COUNT, COLLECTION_LITERAL_PART_CS, COLLECTION_LITERAL_PART_CS__AST, COLLECTION_LITERAL_PART_CS__END_OFFSET, COLLECTION_LITERAL_PART_CS__END_TOKEN, COLLECTION_LITERAL_PART_CS__EXPRESSION_CS, COLLECTION_LITERAL_PART_CS__START_OFFSET, COLLECTION_LITERAL_PART_CS__START_TOKEN, COLLECTION_LITERAL_PART_CS_FEATURE_COUNT, COLLECTION_RANGE_CS, COLLECTION_RANGE_CS__AST, COLLECTION_RANGE_CS__END_OFFSET, COLLECTION_RANGE_CS__END_TOKEN, COLLECTION_RANGE_CS__EXPRESSION_CS, COLLECTION_RANGE_CS__LAST_EXPRESSION_CS, COLLECTION_RANGE_CS__START_OFFSET, COLLECTION_RANGE_CS__START_TOKEN, COLLECTION_RANGE_CS_FEATURE_COUNT, COLLECTION_TYPE_CS, COLLECTION_TYPE_CS__AST, COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER, COLLECTION_TYPE_CS__END_OFFSET, COLLECTION_TYPE_CS__END_TOKEN, COLLECTION_TYPE_CS__START_OFFSET, COLLECTION_TYPE_CS__START_TOKEN, COLLECTION_TYPE_CS__TYPE_CS, COLLECTION_TYPE_CS_FEATURE_COUNT, COLLECTION_TYPE_IDENTIFIER_ENUM, CONTEXT_DECL_CS, CONTEXT_DECL_CS__AST, CONTEXT_DECL_CS__END_OFFSET, CONTEXT_DECL_CS__END_TOKEN, CONTEXT_DECL_CS__START_OFFSET, CONTEXT_DECL_CS__START_TOKEN, CONTEXT_DECL_CS_FEATURE_COUNT, CST_NODE, CST_NODE__AST, CST_NODE__END_OFFSET, CST_NODE__END_TOKEN, CST_NODE__START_OFFSET, CST_NODE__START_TOKEN, CST_NODE_FEATURE_COUNT, DEF_CS, DEF_CS__AST, DEF_CS__DEF_EXPRESSION_CS, DEF_CS__END_OFFSET, DEF_CS__END_TOKEN, DEF_CS__INV_OR_DEF_CS, DEF_CS__SIMPLE_NAME_CS, DEF_CS__START_OFFSET, DEF_CS__START_TOKEN, DEF_CS_FEATURE_COUNT, DEF_EXPRESSION_CS, DEF_EXPRESSION_CS__AST, DEF_EXPRESSION_CS__END_OFFSET, DEF_EXPRESSION_CS__END_TOKEN, DEF_EXPRESSION_CS__EXPRESSION_CS, DEF_EXPRESSION_CS__OPERATION_CS, DEF_EXPRESSION_CS__START_OFFSET, DEF_EXPRESSION_CS__START_TOKEN, DEF_EXPRESSION_CS__VARIABLE_CS, DEF_EXPRESSION_CS_FEATURE_COUNT, DER_VALUE_CS, DER_VALUE_CS__AST, DER_VALUE_CS__END_OFFSET, DER_VALUE_CS__END_TOKEN, DER_VALUE_CS__EXPRESSION_CS, DER_VALUE_CS__INIT_OR_DER_VALUE_CS, DER_VALUE_CS__START_OFFSET, DER_VALUE_CS__START_TOKEN, DER_VALUE_CS_FEATURE_COUNT, DOT_OR_ARROW_ENUM, eCONTENT_TYPE, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENUM_LITERAL_EXP_CS, ENUM_LITERAL_EXP_CS__AST, ENUM_LITERAL_EXP_CS__END_OFFSET, ENUM_LITERAL_EXP_CS__END_TOKEN, ENUM_LITERAL_EXP_CS__PATH_NAME_CS, ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS, ENUM_LITERAL_EXP_CS__START_OFFSET, ENUM_LITERAL_EXP_CS__START_TOKEN, ENUM_LITERAL_EXP_CS_FEATURE_COUNT, FEATURE_CALL_EXP_CS, FEATURE_CALL_EXP_CS__ACCESSOR, FEATURE_CALL_EXP_CS__ARGUMENTS, FEATURE_CALL_EXP_CS__AST, FEATURE_CALL_EXP_CS__END_OFFSET, FEATURE_CALL_EXP_CS__END_TOKEN, FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS, FEATURE_CALL_EXP_CS__SIMPLE_NAME_CS, FEATURE_CALL_EXP_CS__SOURCE, FEATURE_CALL_EXP_CS__START_OFFSET, FEATURE_CALL_EXP_CS__START_TOKEN, FEATURE_CALL_EXP_CS_FEATURE_COUNT, IF_EXP_CS, IF_EXP_CS__AST, IF_EXP_CS__CONDITION, IF_EXP_CS__ELSE_EXPRESSION, IF_EXP_CS__END_OFFSET, IF_EXP_CS__END_TOKEN, IF_EXP_CS__START_OFFSET, IF_EXP_CS__START_TOKEN, IF_EXP_CS__THEN_EXPRESSION, IF_EXP_CS_FEATURE_COUNT, INIT_OR_DER_VALUE_CS, INIT_OR_DER_VALUE_CS__AST, INIT_OR_DER_VALUE_CS__END_OFFSET, INIT_OR_DER_VALUE_CS__END_TOKEN, INIT_OR_DER_VALUE_CS__EXPRESSION_CS, INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS, INIT_OR_DER_VALUE_CS__START_OFFSET, INIT_OR_DER_VALUE_CS__START_TOKEN, INIT_OR_DER_VALUE_CS_FEATURE_COUNT, INIT_VALUE_CS, INIT_VALUE_CS__AST, INIT_VALUE_CS__END_OFFSET, INIT_VALUE_CS__END_TOKEN, INIT_VALUE_CS__EXPRESSION_CS, INIT_VALUE_CS__INIT_OR_DER_VALUE_CS, INIT_VALUE_CS__START_OFFSET, INIT_VALUE_CS__START_TOKEN, INIT_VALUE_CS_FEATURE_COUNT, INTEGER_LITERAL_EXP_CS, INTEGER_LITERAL_EXP_CS__AST, INTEGER_LITERAL_EXP_CS__END_OFFSET, INTEGER_LITERAL_EXP_CS__END_TOKEN, INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL, INTEGER_LITERAL_EXP_CS__START_OFFSET, INTEGER_LITERAL_EXP_CS__START_TOKEN, INTEGER_LITERAL_EXP_CS__SYMBOL, INTEGER_LITERAL_EXP_CS_FEATURE_COUNT, INV_CS, INV_CS__AST, INV_CS__END_OFFSET, INV_CS__END_TOKEN, INV_CS__EXPRESSION_CS, INV_CS__INV_OR_DEF_CS, INV_CS__SIMPLE_NAME_CS, INV_CS__START_OFFSET, INV_CS__START_TOKEN, INV_CS_FEATURE_COUNT, INV_OR_DEF_CS, INV_OR_DEF_CS__AST, INV_OR_DEF_CS__END_OFFSET, INV_OR_DEF_CS__END_TOKEN, INV_OR_DEF_CS__INV_OR_DEF_CS, INV_OR_DEF_CS__SIMPLE_NAME_CS, INV_OR_DEF_CS__START_OFFSET, INV_OR_DEF_CS__START_TOKEN, INV_OR_DEF_CS_FEATURE_COUNT, INVALID_LITERAL_EXP_CS, INVALID_LITERAL_EXP_CS__AST, INVALID_LITERAL_EXP_CS__END_OFFSET, INVALID_LITERAL_EXP_CS__END_TOKEN, INVALID_LITERAL_EXP_CS__START_OFFSET, INVALID_LITERAL_EXP_CS__START_TOKEN, INVALID_LITERAL_EXP_CS__SYMBOL, INVALID_LITERAL_EXP_CS_FEATURE_COUNT, IS_MARKED_PRE_CS, IS_MARKED_PRE_CS__AST, IS_MARKED_PRE_CS__END_OFFSET, IS_MARKED_PRE_CS__END_TOKEN, IS_MARKED_PRE_CS__PRE, IS_MARKED_PRE_CS__START_OFFSET, IS_MARKED_PRE_CS__START_TOKEN, IS_MARKED_PRE_CS_FEATURE_COUNT, ITERATE_EXP_CS, ITERATE_EXP_CS__ACCESSOR, ITERATE_EXP_CS__AST, ITERATE_EXP_CS__BODY, ITERATE_EXP_CS__END_OFFSET, ITERATE_EXP_CS__END_TOKEN, ITERATE_EXP_CS__SIMPLE_NAME_CS, ITERATE_EXP_CS__SOURCE, ITERATE_EXP_CS__START_OFFSET, ITERATE_EXP_CS__START_TOKEN, ITERATE_EXP_CS__VARIABLE1, ITERATE_EXP_CS__VARIABLE2, ITERATE_EXP_CS_FEATURE_COUNT, ITERATOR_EXP_CS, ITERATOR_EXP_CS__ACCESSOR, ITERATOR_EXP_CS__AST, ITERATOR_EXP_CS__BODY, ITERATOR_EXP_CS__END_OFFSET, ITERATOR_EXP_CS__END_TOKEN, ITERATOR_EXP_CS__SIMPLE_NAME_CS, ITERATOR_EXP_CS__SOURCE, ITERATOR_EXP_CS__START_OFFSET, ITERATOR_EXP_CS__START_TOKEN, ITERATOR_EXP_CS__VARIABLE1, ITERATOR_EXP_CS__VARIABLE2, ITERATOR_EXP_CS_FEATURE_COUNT, ITOKEN, LET_EXP_CS, LET_EXP_CS__AST, LET_EXP_CS__END_OFFSET, LET_EXP_CS__END_TOKEN, LET_EXP_CS__IN_EXPRESSION, LET_EXP_CS__START_OFFSET, LET_EXP_CS__START_TOKEN, LET_EXP_CS__VARIABLES, LET_EXP_CS_FEATURE_COUNT, LITERAL_EXP_CS, LITERAL_EXP_CS__AST, LITERAL_EXP_CS__END_OFFSET, LITERAL_EXP_CS__END_TOKEN, LITERAL_EXP_CS__START_OFFSET, LITERAL_EXP_CS__START_TOKEN, LITERAL_EXP_CS_FEATURE_COUNT, LOOP_EXP_CS, LOOP_EXP_CS__ACCESSOR, LOOP_EXP_CS__AST, LOOP_EXP_CS__BODY, LOOP_EXP_CS__END_OFFSET, LOOP_EXP_CS__END_TOKEN, LOOP_EXP_CS__SIMPLE_NAME_CS, LOOP_EXP_CS__SOURCE, LOOP_EXP_CS__START_OFFSET, LOOP_EXP_CS__START_TOKEN, LOOP_EXP_CS__VARIABLE1, LOOP_EXP_CS__VARIABLE2, LOOP_EXP_CS_FEATURE_COUNT, MESSAGE_EXP_CS, MESSAGE_EXP_CS__ARGUMENTS, MESSAGE_EXP_CS__AST, MESSAGE_EXP_CS__END_OFFSET, MESSAGE_EXP_CS__END_TOKEN, MESSAGE_EXP_CS__KIND, MESSAGE_EXP_CS__SIMPLE_NAME_CS, MESSAGE_EXP_CS__START_OFFSET, MESSAGE_EXP_CS__START_TOKEN, MESSAGE_EXP_CS__TARGET, MESSAGE_EXP_CS_FEATURE_COUNT, MESSAGE_EXP_KIND, NULL_LITERAL_EXP_CS, NULL_LITERAL_EXP_CS__AST, NULL_LITERAL_EXP_CS__END_OFFSET, NULL_LITERAL_EXP_CS__END_TOKEN, NULL_LITERAL_EXP_CS__START_OFFSET, NULL_LITERAL_EXP_CS__START_TOKEN, NULL_LITERAL_EXP_CS__SYMBOL, NULL_LITERAL_EXP_CS_FEATURE_COUNT, OCL_DOCUMENT_CS, OCL_DOCUMENT_CS__AST, OCL_DOCUMENT_CS__END_OFFSET, OCL_DOCUMENT_CS__END_TOKEN, OCL_DOCUMENT_CS__PACKAGE_DECLARATIONS, OCL_DOCUMENT_CS__START_OFFSET, OCL_DOCUMENT_CS__START_TOKEN, OCL_DOCUMENT_CS_FEATURE_COUNT, OCL_EXPRESSION_CS, OCL_EXPRESSION_CS__AST, OCL_EXPRESSION_CS__END_OFFSET, OCL_EXPRESSION_CS__END_TOKEN, OCL_EXPRESSION_CS__START_OFFSET, OCL_EXPRESSION_CS__START_TOKEN, OCL_EXPRESSION_CS_FEATURE_COUNT, OCL_MESSAGE_ARG_CS, OCL_MESSAGE_ARG_CS__AST, OCL_MESSAGE_ARG_CS__END_OFFSET, OCL_MESSAGE_ARG_CS__END_TOKEN, OCL_MESSAGE_ARG_CS__EXPRESSION, OCL_MESSAGE_ARG_CS__START_OFFSET, OCL_MESSAGE_ARG_CS__START_TOKEN, OCL_MESSAGE_ARG_CS__TYPE_CS, OCL_MESSAGE_ARG_CS_FEATURE_COUNT, OPERATION_CALL_EXP_CS, OPERATION_CALL_EXP_CS__ACCESSOR, OPERATION_CALL_EXP_CS__ARGUMENTS, OPERATION_CALL_EXP_CS__AST, OPERATION_CALL_EXP_CS__END_OFFSET, OPERATION_CALL_EXP_CS__END_TOKEN, OPERATION_CALL_EXP_CS__IS_MARKED_PRE_CS, OPERATION_CALL_EXP_CS__SIMPLE_NAME_CS, OPERATION_CALL_EXP_CS__SOURCE, OPERATION_CALL_EXP_CS__START_OFFSET, OPERATION_CALL_EXP_CS__START_TOKEN, OPERATION_CALL_EXP_CS_FEATURE_COUNT, OPERATION_CONTEXT_DECL_CS, OPERATION_CONTEXT_DECL_CS__AST, OPERATION_CONTEXT_DECL_CS__END_OFFSET, OPERATION_CONTEXT_DECL_CS__END_TOKEN, OPERATION_CONTEXT_DECL_CS__OPERATION_CS, OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS, OPERATION_CONTEXT_DECL_CS__START_OFFSET, OPERATION_CONTEXT_DECL_CS__START_TOKEN, OPERATION_CONTEXT_DECL_CS_FEATURE_COUNT, OPERATION_CS, OPERATION_CS__AST, OPERATION_CS__END_OFFSET, OPERATION_CS__END_TOKEN, OPERATION_CS__PARAMETERS, OPERATION_CS__PATH_NAME_CS, OPERATION_CS__SIMPLE_NAME_CS, OPERATION_CS__START_OFFSET, OPERATION_CS__START_TOKEN, OPERATION_CS__TYPE_CS, OPERATION_CS_FEATURE_COUNT, PACKAGE_DECLARATION_CS, PACKAGE_DECLARATION_CS__AST, PACKAGE_DECLARATION_CS__CONTEXT_DECLS, PACKAGE_DECLARATION_CS__END_OFFSET, PACKAGE_DECLARATION_CS__END_TOKEN, PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS, PACKAGE_DECLARATION_CS__PATH_NAME_CS, PACKAGE_DECLARATION_CS__START_OFFSET, PACKAGE_DECLARATION_CS__START_TOKEN, PACKAGE_DECLARATION_CS_FEATURE_COUNT, PATH_NAME_CS, PATH_NAME_CS__AST, PATH_NAME_CS__END_OFFSET, PATH_NAME_CS__END_TOKEN, PATH_NAME_CS__SEQUENCE_OF_NAMES, PATH_NAME_CS__START_OFFSET, PATH_NAME_CS__START_TOKEN, PATH_NAME_CS_FEATURE_COUNT, PRE_POST_OR_BODY_DECL_CS, PRE_POST_OR_BODY_DECL_CS__AST, PRE_POST_OR_BODY_DECL_CS__END_OFFSET, PRE_POST_OR_BODY_DECL_CS__END_TOKEN, PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS, PRE_POST_OR_BODY_DECL_CS__KIND, PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS, PRE_POST_OR_BODY_DECL_CS__START_OFFSET, PRE_POST_OR_BODY_DECL_CS__START_TOKEN, PRE_POST_OR_BODY_DECL_CS_FEATURE_COUNT, PRE_POST_OR_BODY_ENUM, PRIMITIVE_LITERAL_EXP_CS, PRIMITIVE_LITERAL_EXP_CS__AST, PRIMITIVE_LITERAL_EXP_CS__END_OFFSET, PRIMITIVE_LITERAL_EXP_CS__END_TOKEN, PRIMITIVE_LITERAL_EXP_CS__START_OFFSET, PRIMITIVE_LITERAL_EXP_CS__START_TOKEN, PRIMITIVE_LITERAL_EXP_CS__SYMBOL, PRIMITIVE_LITERAL_EXP_CS_FEATURE_COUNT, PRIMITIVE_TYPE_CS, PRIMITIVE_TYPE_CS__AST, PRIMITIVE_TYPE_CS__END_OFFSET, PRIMITIVE_TYPE_CS__END_TOKEN, PRIMITIVE_TYPE_CS__START_OFFSET, PRIMITIVE_TYPE_CS__START_TOKEN, PRIMITIVE_TYPE_CS__TYPE, PRIMITIVE_TYPE_CS__VALUE, PRIMITIVE_TYPE_CS_FEATURE_COUNT, PROPERTY_CONTEXT_CS, PROPERTY_CONTEXT_CS__AST, PROPERTY_CONTEXT_CS__END_OFFSET, PROPERTY_CONTEXT_CS__END_TOKEN, PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS, PROPERTY_CONTEXT_CS__PATH_NAME_CS, PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS, PROPERTY_CONTEXT_CS__START_OFFSET, PROPERTY_CONTEXT_CS__START_TOKEN, PROPERTY_CONTEXT_CS__TYPE_CS, PROPERTY_CONTEXT_CS_FEATURE_COUNT, REAL_LITERAL_EXP_CS, REAL_LITERAL_EXP_CS__AST, REAL_LITERAL_EXP_CS__END_OFFSET, REAL_LITERAL_EXP_CS__END_TOKEN, REAL_LITERAL_EXP_CS__REAL_SYMBOL, REAL_LITERAL_EXP_CS__START_OFFSET, REAL_LITERAL_EXP_CS__START_TOKEN, REAL_LITERAL_EXP_CS__SYMBOL, REAL_LITERAL_EXP_CS_FEATURE_COUNT, SIMPLE_NAME_CS, SIMPLE_NAME_CS__AST, SIMPLE_NAME_CS__END_OFFSET, SIMPLE_NAME_CS__END_TOKEN, SIMPLE_NAME_CS__START_OFFSET, SIMPLE_NAME_CS__START_TOKEN, SIMPLE_NAME_CS__TYPE, SIMPLE_NAME_CS__VALUE, SIMPLE_NAME_CS_FEATURE_COUNT, SIMPLE_TYPE_ENUM, STATE_EXP_CS, STATE_EXP_CS__AST, STATE_EXP_CS__END_OFFSET, STATE_EXP_CS__END_TOKEN, STATE_EXP_CS__SEQUENCE_OF_NAMES, STATE_EXP_CS__START_OFFSET, STATE_EXP_CS__START_TOKEN, STATE_EXP_CS_FEATURE_COUNT, STRING_LITERAL_EXP_CS, STRING_LITERAL_EXP_CS__AST, STRING_LITERAL_EXP_CS__END_OFFSET, STRING_LITERAL_EXP_CS__END_TOKEN, STRING_LITERAL_EXP_CS__START_OFFSET, STRING_LITERAL_EXP_CS__START_TOKEN, STRING_LITERAL_EXP_CS__STRING_SYMBOL, STRING_LITERAL_EXP_CS__SYMBOL, STRING_LITERAL_EXP_CS__UNESCAPED_STRING_SYMBOL, STRING_LITERAL_EXP_CS_FEATURE_COUNT, TUPLE_LITERAL_EXP_CS, TUPLE_LITERAL_EXP_CS__AST, TUPLE_LITERAL_EXP_CS__END_OFFSET, TUPLE_LITERAL_EXP_CS__END_TOKEN, TUPLE_LITERAL_EXP_CS__START_OFFSET, TUPLE_LITERAL_EXP_CS__START_TOKEN, TUPLE_LITERAL_EXP_CS__VARIABLES, TUPLE_LITERAL_EXP_CS_FEATURE_COUNT, TUPLE_TYPE_CS, TUPLE_TYPE_CS__AST, TUPLE_TYPE_CS__END_OFFSET, TUPLE_TYPE_CS__END_TOKEN, TUPLE_TYPE_CS__START_OFFSET, TUPLE_TYPE_CS__START_TOKEN, TUPLE_TYPE_CS__VARIABLES, TUPLE_TYPE_CS_FEATURE_COUNT, TYPE_CS, TYPE_CS__AST, TYPE_CS__END_OFFSET, TYPE_CS__END_TOKEN, TYPE_CS__START_OFFSET, TYPE_CS__START_TOKEN, TYPE_CS_FEATURE_COUNT, UNLIMITED_NATURAL_LITERAL_EXP_CS, UNLIMITED_NATURAL_LITERAL_EXP_CS__AST, UNLIMITED_NATURAL_LITERAL_EXP_CS__END_OFFSET, UNLIMITED_NATURAL_LITERAL_EXP_CS__END_TOKEN, UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL, UNLIMITED_NATURAL_LITERAL_EXP_CS__START_OFFSET, UNLIMITED_NATURAL_LITERAL_EXP_CS__START_TOKEN, UNLIMITED_NATURAL_LITERAL_EXP_CS__SYMBOL, UNLIMITED_NATURAL_LITERAL_EXP_CS_FEATURE_COUNT, VARIABLE_CS, VARIABLE_CS__AST, VARIABLE_CS__END_OFFSET, VARIABLE_CS__END_TOKEN, VARIABLE_CS__INIT_EXPRESSION, VARIABLE_CS__NAME, VARIABLE_CS__START_OFFSET, VARIABLE_CS__START_TOKEN, VARIABLE_CS__TYPE_CS, VARIABLE_CS_FEATURE_COUNT, VARIABLE_EXP_CS, VARIABLE_EXP_CS__ARGUMENTS, VARIABLE_EXP_CS__AST, VARIABLE_EXP_CS__END_OFFSET, VARIABLE_EXP_CS__END_TOKEN, VARIABLE_EXP_CS__IS_MARKED_PRE_CS, VARIABLE_EXP_CS__SIMPLE_NAME_CS, VARIABLE_EXP_CS__START_OFFSET, VARIABLE_EXP_CS__START_TOKEN, VARIABLE_EXP_CS_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EAttribute` `getBooleanLiteralExpCS_BooleanSymbol()`
`EClass` `getBooleanLiteralExpCS()`
`EAttribute` `getCallExpCS_Accessor()`
`EReference` `getCallExpCS_SimpleNameCS()`
`EReference` `getCallExpCS_Source()`
`EClass` `getCallExpCS()`
`EReference` `getClassifierContextDeclCS_Constraints()`
`EReference` `getClassifierContextDeclCS_InvOrDefCS()`
`EReference` `getClassifierContextDeclCS_PathNameCS()`
`EClass` `getClassifierContextDeclCS()`
`EReference` `getCollectionLiteralExpCS_CollectionLiteralParts()`
`EAttribute` `getCollectionLiteralExpCS_CollectionType()`
`EClass` `getCollectionLiteralExpCS()`
`EReference` `getCollectionLiteralPartCS_ExpressionCS()`
`EClass` `getCollectionLiteralPartCS()`
`EReference` `getCollectionRangeCS_LastExpressionCS()`
`EClass` `getCollectionRangeCS()`
`EAttribute` `getCollectionTypeCS_CollectionTypeIdentifier()`
`EReference` `getCollectionTypeCS_TypeCS()`
`EClass` `getCollectionTypeCS()`
`EEnum` `getCollectionTypeIdentifierEnum()`
`EClass` `getContextDeclCS()`
`CSTFactory` `getCSTFactory()`
`EAttribute` `getCSTNode_Ast()`
`EAttribute` `getCSTNode_EndOffset()`
`EAttribute` `getCSTNode_EndToken()`
`EAttribute` `getCSTNode_StartOffset()`
`EAttribute` `getCSTNode_StartToken()`
`EClass` `getCSTNode()`
`EReference` `getDefCS_DefExpressionCS()`
`EClass` `getDefCS()`
`EReference` `getDefExpressionCS_ExpressionCS()`
`EReference` `getDefExpressionCS_OperationCS()`
`EReference` `getDefExpressionCS_VariableCS()`
`EClass` `getDefExpressionCS()`
`EClass` `getDerValueCS()`
`EEnum` `getDotOrArrowEnum()`
`EReference` `getEnumLiteralExpCS_PathNameCS()`
`EReference` `getEnumLiteralExpCS_SimpleNameCS()`
`EClass` `getEnumLiteralExpCS()`
`EReference` `getFeatureCallExpCS_Arguments()`
`EReference` `getFeatureCallExpCS_IsMarkedPreCS()`
`EClass` `getFeatureCallExpCS()`
`EReference` `getIfExpCS_Condition()`
`EReference` `getIfExpCS_ElseExpression()`
`EReference` `getIfExpCS_ThenExpression()`
`EClass` `getIfExpCS()`
`EReference` `getInitOrDerValueCS_ExpressionCS()`
`EReference` `getInitOrDerValueCS_InitOrDerValueCS()`
`EClass` `getInitOrDerValueCS()`
`EClass` `getInitValueCS()`
`EAttribute` `getIntegerLiteralExpCS_IntegerSymbol()`
`EClass` `getIntegerLiteralExpCS()`
`EAttribute` `getInvalidLiteralExpCS_Symbol()`
`EClass` `getInvalidLiteralExpCS()`
`EReference` `getInvCS_ExpressionCS()`
`EClass` `getInvCS()`
`EReference` `getInvOrDefCS_InvOrDefCS()`
`EReference` `getInvOrDefCS_SimpleNameCS()`
`EClass` `getInvOrDefCS()`
`EAttribute` `getIsMarkedPreCS_Pre()`
`EClass` `getIsMarkedPreCS()`
`EClass` `getIterateExpCS()`
`EClass` `getIteratorExpCS()`
`EDataType` `getIToken()`
`EReference` `getLetExpCS_InExpression()`
`EReference` `getLetExpCS_Variables()`
`EClass` `getLetExpCS()`
`EClass` `getLiteralExpCS()`
`EReference` `getLoopExpCS_Body()`
`EReference` `getLoopExpCS_Variable1()`
`EReference` `getLoopExpCS_Variable2()`
`EClass` `getLoopExpCS()`
`EReference` `getMessageExpCS_Arguments()`
`EAttribute` `getMessageExpCS_Kind()`
`EReference` `getMessageExpCS_SimpleNameCS()`
`EReference` `getMessageExpCS_Target()`
`EClass` `getMessageExpCS()`
`EEnum` `getMessageExpKind()`
`EAttribute` `getNullLiteralExpCS_Symbol()`
`EClass` `getNullLiteralExpCS()`
`EReference` `getOCLDocumentCS_PackageDeclarations()`
`EClass` `getOCLDocumentCS()`
`EClass` `getOCLExpressionCS()`
`EReference` `getOCLMessageArgCS_Expression()`
`EReference` `getOCLMessageArgCS_TypeCS()`
`EClass` `getOCLMessageArgCS()`
`EClass` `getOperationCallExpCS()`
`EReference` `getOperationContextDeclCS_OperationCS()`
`EReference` `getOperationContextDeclCS_PrePostOrBodyDecls()`
`EClass` `getOperationContextDeclCS()`
`EReference` `getOperationCS_Parameters()`
`EReference` `getOperationCS_PathNameCS()`
`EReference` `getOperationCS_SimpleNameCS()`
`EReference` `getOperationCS_TypeCS()`
`EClass` `getOperationCS()`
`EReference` `getPackageDeclarationCS_ContextDecls()`
`EReference` `getPackageDeclarationCS_PackageDeclarationCS()`
`EReference` `getPackageDeclarationCS_PathNameCS()`
`EClass` `getPackageDeclarationCS()`
`EAttribute` `getPathNameCS_SequenceOfNames()`
`EClass` `getPathNameCS()`
`EReference` `getPrePostOrBodyDeclCS_ExpressionCS()`
`EAttribute` `getPrePostOrBodyDeclCS_Kind()`
`EReference` `getPrePostOrBodyDeclCS_SimpleNameCS()`
`EClass` `getPrePostOrBodyDeclCS()`
`EEnum` `getPrePostOrBodyEnum()`
`EAttribute` `getPrimitiveLiteralExpCS_Symbol()`
`EClass` `getPrimitiveLiteralExpCS()`
`EClass` `getPrimitiveTypeCS()`
`EReference` `getPropertyContextCS_InitOrDerValueCS()`
`EReference` `getPropertyContextCS_PathNameCS()`
`EReference` `getPropertyContextCS_SimpleNameCS()`
`EReference` `getPropertyContextCS_TypeCS()`
`EClass` `getPropertyContextCS()`
`EAttribute` `getRealLiteralExpCS_RealSymbol()`
`EClass` `getRealLiteralExpCS()`
`EAttribute` `getSimpleNameCS_Type()`
`EAttribute` `getSimpleNameCS_Value()`
`EClass` `getSimpleNameCS()`
`EEnum` `getSimpleTypeEnum()`
`EAttribute` `getStateExpCS_SequenceOfNames()`
`EClass` `getStateExpCS()`
`EAttribute` `getStringLiteralExpCS_StringSymbol()`
`EAttribute` `getStringLiteralExpCS_UnescapedStringSymbol()`
`EClass` `getStringLiteralExpCS()`
`EReference` `getTupleLiteralExpCS_Variables()`
`EClass` `getTupleLiteralExpCS()`
`EReference` `getTupleTypeCS_Variables()`
`EClass` `getTupleTypeCS()`
`EClass` `getTypeCS()`
`EAttribute` `getUnlimitedNaturalLiteralExpCS_IntegerSymbol()`
`EClass` `getUnlimitedNaturalLiteralExpCS()`
`EReference` `getVariableCS_InitExpression()`
`EAttribute` `getVariableCS_Name()`
`EReference` `getVariableCS_TypeCS()`
`EClass` `getVariableCS()`
`EReference` `getVariableExpCS_Arguments()`
`EReference` `getVariableExpCS_IsMarkedPreCS()`
`EReference` `getVariableExpCS_SimpleNameCS()`
`EClass` `getVariableExpCS()`
`static CSTPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static CSTPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `CSTPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `CSTPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCSTNode

    public EClass getCSTNode()

  Specified by:
    `getCSTNode` in interface `CSTPackage`
  Returns:
    the meta object for class 'Node'.
  See Also:
    `CSTNode`

### getCSTNode_StartOffset

    public EAttribute getCSTNode_StartOffset()

  Specified by:
    `getCSTNode_StartOffset` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Start Offset'.
  See Also:
    `CSTNode.getStartOffset()`, `CSTPackage.getCSTNode()`

### getCSTNode_EndOffset

    public EAttribute getCSTNode_EndOffset()

  Specified by:
    `getCSTNode_EndOffset` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'End Offset'.
  See Also:
    `CSTNode.getEndOffset()`, `CSTPackage.getCSTNode()`

### getCSTNode_StartToken

    public EAttribute getCSTNode_StartToken()

  Specified by:
    `getCSTNode_StartToken` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Start Token'.
  Since:
    1.3
  See Also:
    `CSTNode.getStartToken()`, `CSTPackage.getCSTNode()`

### getCSTNode_EndToken

    public EAttribute getCSTNode_EndToken()

  Specified by:
    `getCSTNode_EndToken` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'End Token'.
  Since:
    1.3
  See Also:
    `CSTNode.getEndToken()`, `CSTPackage.getCSTNode()`

### getCSTNode_Ast

    public EAttribute getCSTNode_Ast()

  Specified by:
    `getCSTNode_Ast` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Ast'.
  Since:
    1.3
  See Also:
    `CSTNode.getAst()`, `CSTPackage.getCSTNode()`

### getPackageDeclarationCS

    public EClass getPackageDeclarationCS()

  Specified by:
    `getPackageDeclarationCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Package Declaration CS'.
  See Also:
    `PackageDeclarationCS`

### getPackageDeclarationCS_PathNameCS

    public EReference getPackageDeclarationCS_PathNameCS()

  Specified by:
    `getPackageDeclarationCS_PathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `PackageDeclarationCS.getPathNameCS()`, `CSTPackage.getPackageDeclarationCS()`

### getPackageDeclarationCS_ContextDecls

    public EReference getPackageDeclarationCS_ContextDecls()

  Specified by:
    `getPackageDeclarationCS_ContextDecls` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Context Decls'.
  See Also:
    `PackageDeclarationCS.getContextDecls()`, `CSTPackage.getPackageDeclarationCS()`

### getPackageDeclarationCS_PackageDeclarationCS

    public EReference getPackageDeclarationCS_PackageDeclarationCS()

  Specified by:
    `getPackageDeclarationCS_PackageDeclarationCS` in interface `CSTPackage`
  Returns:
    the meta object for the reference 'Package Declaration CS'.
  See Also:
    `PackageDeclarationCS.getPackageDeclarationCS()`, `CSTPackage.getPackageDeclarationCS()`

### getContextDeclCS

    public EClass getContextDeclCS()

  Specified by:
    `getContextDeclCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Context Decl CS'.
  See Also:
    `ContextDeclCS`

### getClassifierContextDeclCS

    public EClass getClassifierContextDeclCS()

  Specified by:
    `getClassifierContextDeclCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Classifier Context Decl CS'.
  See Also:
    `ClassifierContextDeclCS`

### getClassifierContextDeclCS_PathNameCS

    public EReference getClassifierContextDeclCS_PathNameCS()

  Specified by:
    `getClassifierContextDeclCS_PathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `ClassifierContextDeclCS.getPathNameCS()`, `CSTPackage.getClassifierContextDeclCS()`

### getClassifierContextDeclCS_InvOrDefCS

    public EReference getClassifierContextDeclCS_InvOrDefCS()

  Specified by:
    `getClassifierContextDeclCS_InvOrDefCS` in interface `CSTPackage`
  Returns:
    the meta object for the reference 'Inv Or Def CS'.
  See Also:
    `ClassifierContextDeclCS.getInvOrDefCS()`, `CSTPackage.getClassifierContextDeclCS()`

### getClassifierContextDeclCS_Constraints

    public EReference getClassifierContextDeclCS_Constraints()

  Specified by:
    `getClassifierContextDeclCS_Constraints` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Constraints'.
  Since:
    1.3
  See Also:
    `ClassifierContextDeclCS.getConstraints()`, `CSTPackage.getClassifierContextDeclCS()`

### getOperationContextDeclCS

    public EClass getOperationContextDeclCS()

  Specified by:
    `getOperationContextDeclCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Operation Context Decl CS'.
  See Also:
    `OperationContextDeclCS`

### getOperationContextDeclCS_OperationCS

    public EReference getOperationContextDeclCS_OperationCS()

  Specified by:
    `getOperationContextDeclCS_OperationCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Operation CS'.
  See Also:
    `OperationContextDeclCS.getOperationCS()`, `CSTPackage.getOperationContextDeclCS()`

### getOperationContextDeclCS_PrePostOrBodyDecls

    public EReference getOperationContextDeclCS_PrePostOrBodyDecls()

  Specified by:
    `getOperationContextDeclCS_PrePostOrBodyDecls` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Pre Post Or Body Decls'.
  See Also:
    `OperationContextDeclCS.getPrePostOrBodyDecls()`, `CSTPackage.getOperationContextDeclCS()`

### getPrePostOrBodyDeclCS

    public EClass getPrePostOrBodyDeclCS()

  Specified by:
    `getPrePostOrBodyDeclCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Pre Post Or Body Decl CS'.
  See Also:
    `PrePostOrBodyDeclCS`

### getPrePostOrBodyDeclCS_Kind

    public EAttribute getPrePostOrBodyDeclCS_Kind()

  Specified by:
    `getPrePostOrBodyDeclCS_Kind` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `PrePostOrBodyDeclCS.getKind()`, `CSTPackage.getPrePostOrBodyDeclCS()`

### getPrePostOrBodyDeclCS_SimpleNameCS

    public EReference getPrePostOrBodyDeclCS_SimpleNameCS()

  Specified by:
    `getPrePostOrBodyDeclCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `PrePostOrBodyDeclCS.getSimpleNameCS()`, `CSTPackage.getPrePostOrBodyDeclCS()`

### getPrePostOrBodyDeclCS_ExpressionCS

    public EReference getPrePostOrBodyDeclCS_ExpressionCS()

  Specified by:
    `getPrePostOrBodyDeclCS_ExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `PrePostOrBodyDeclCS.getExpressionCS()`, `CSTPackage.getPrePostOrBodyDeclCS()`

### getOperationCS

    public EClass getOperationCS()

  Specified by:
    `getOperationCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Operation CS'.
  See Also:
    `OperationCS`

### getOperationCS_PathNameCS

    public EReference getOperationCS_PathNameCS()

  Specified by:
    `getOperationCS_PathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `OperationCS.getPathNameCS()`, `CSTPackage.getOperationCS()`

### getOperationCS_SimpleNameCS

    public EReference getOperationCS_SimpleNameCS()

  Specified by:
    `getOperationCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `OperationCS.getSimpleNameCS()`, `CSTPackage.getOperationCS()`

### getOperationCS_Parameters

    public EReference getOperationCS_Parameters()

  Specified by:
    `getOperationCS_Parameters` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `OperationCS.getParameters()`, `CSTPackage.getOperationCS()`

### getOperationCS_TypeCS

    public EReference getOperationCS_TypeCS()

  Specified by:
    `getOperationCS_TypeCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `OperationCS.getTypeCS()`, `CSTPackage.getOperationCS()`

### getInitOrDerValueCS

    public EClass getInitOrDerValueCS()

  Specified by:
    `getInitOrDerValueCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Init Or Der Value CS'.
  See Also:
    `InitOrDerValueCS`

### getInitOrDerValueCS_InitOrDerValueCS

    public EReference getInitOrDerValueCS_InitOrDerValueCS()

  Specified by:
    `getInitOrDerValueCS_InitOrDerValueCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Init Or Der Value CS'.
  See Also:
    `InitOrDerValueCS.getInitOrDerValueCS()`, `CSTPackage.getInitOrDerValueCS()`

### getInitOrDerValueCS_ExpressionCS

    public EReference getInitOrDerValueCS_ExpressionCS()

  Specified by:
    `getInitOrDerValueCS_ExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `InitOrDerValueCS.getExpressionCS()`, `CSTPackage.getInitOrDerValueCS()`

### getDerValueCS

    public EClass getDerValueCS()

  Specified by:
    `getDerValueCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Der Value CS'.
  See Also:
    `DerValueCS`

### getInitValueCS

    public EClass getInitValueCS()

  Specified by:
    `getInitValueCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Init Value CS'.
  See Also:
    `InitValueCS`

### getInvOrDefCS

    public EClass getInvOrDefCS()

  Specified by:
    `getInvOrDefCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Inv Or Def CS'.
  See Also:
    `InvOrDefCS`

### getInvOrDefCS_SimpleNameCS

    public EReference getInvOrDefCS_SimpleNameCS()

  Specified by:
    `getInvOrDefCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `InvOrDefCS.getSimpleNameCS()`, `CSTPackage.getInvOrDefCS()`

### getInvOrDefCS_InvOrDefCS

    public EReference getInvOrDefCS_InvOrDefCS()

  Specified by:
    `getInvOrDefCS_InvOrDefCS` in interface `CSTPackage`
  Returns:
    the meta object for the reference 'Inv Or Def CS'.
  See Also:
    `InvOrDefCS.getInvOrDefCS()`, `CSTPackage.getInvOrDefCS()`

### getInvCS

    public EClass getInvCS()

  Specified by:
    `getInvCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Inv CS'.
  See Also:
    `InvCS`

### getInvCS_ExpressionCS

    public EReference getInvCS_ExpressionCS()

  Specified by:
    `getInvCS_ExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `InvCS.getExpressionCS()`, `CSTPackage.getInvCS()`

### getDefCS

    public EClass getDefCS()

  Specified by:
    `getDefCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Def CS'.
  See Also:
    `DefCS`

### getDefCS_DefExpressionCS

    public EReference getDefCS_DefExpressionCS()

  Specified by:
    `getDefCS_DefExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Def Expression CS'.
  See Also:
    `DefCS.getDefExpressionCS()`, `CSTPackage.getDefCS()`

### getDefExpressionCS

    public EClass getDefExpressionCS()

  Specified by:
    `getDefExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Def Expression CS'.
  See Also:
    `DefExpressionCS`

### getDefExpressionCS_OperationCS

    public EReference getDefExpressionCS_OperationCS()

  Specified by:
    `getDefExpressionCS_OperationCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Operation CS'.
  See Also:
    `DefExpressionCS.getOperationCS()`, `CSTPackage.getDefExpressionCS()`

### getDefExpressionCS_VariableCS

    public EReference getDefExpressionCS_VariableCS()

  Specified by:
    `getDefExpressionCS_VariableCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Variable CS'.
  See Also:
    `DefExpressionCS.getVariableCS()`, `CSTPackage.getDefExpressionCS()`

### getDefExpressionCS_ExpressionCS

    public EReference getDefExpressionCS_ExpressionCS()

  Specified by:
    `getDefExpressionCS_ExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `DefExpressionCS.getExpressionCS()`, `CSTPackage.getDefExpressionCS()`

### getPathNameCS

    public EClass getPathNameCS()

  Specified by:
    `getPathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Path Name CS'.
  See Also:
    `PathNameCS`

### getPathNameCS_SequenceOfNames

    public EAttribute getPathNameCS_SequenceOfNames()

  Specified by:
    `getPathNameCS_SequenceOfNames` in interface `CSTPackage`
  Returns:
    the meta object for the attribute list 'Sequence Of Names'.
  See Also:
    `PathNameCS.getSequenceOfNames()`, `CSTPackage.getPathNameCS()`

### getVariableExpCS

    public EClass getVariableExpCS()

  Specified by:
    `getVariableExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Variable Exp CS'.
  See Also:
    `VariableExpCS`

### getVariableExpCS_Arguments

    public EReference getVariableExpCS_Arguments()

  Specified by:
    `getVariableExpCS_Arguments` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `VariableExpCS.getArguments()`, `CSTPackage.getVariableExpCS()`

### getVariableExpCS_SimpleNameCS

    public EReference getVariableExpCS_SimpleNameCS()

  Specified by:
    `getVariableExpCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `VariableExpCS.getSimpleNameCS()`, `CSTPackage.getVariableExpCS()`

### getVariableExpCS_IsMarkedPreCS

    public EReference getVariableExpCS_IsMarkedPreCS()

  Specified by:
    `getVariableExpCS_IsMarkedPreCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Is Marked Pre CS'.
  See Also:
    `VariableExpCS.getIsMarkedPreCS()`, `CSTPackage.getVariableExpCS()`

### getSimpleNameCS

    public EClass getSimpleNameCS()

  Specified by:
    `getSimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Simple Name CS'.
  See Also:
    `SimpleNameCS`

### getSimpleNameCS_Value

    public EAttribute getSimpleNameCS_Value()

  Specified by:
    `getSimpleNameCS_Value` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SimpleNameCS.getValue()`, `CSTPackage.getSimpleNameCS()`

### getSimpleNameCS_Type

    public EAttribute getSimpleNameCS_Type()

  Specified by:
    `getSimpleNameCS_Type` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SimpleNameCS.getType()`, `CSTPackage.getSimpleNameCS()`

### getTypeCS

    public EClass getTypeCS()

  Specified by:
    `getTypeCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Type CS'.
  See Also:
    `TypeCS`

### getPrimitiveTypeCS

    public EClass getPrimitiveTypeCS()

  Specified by:
    `getPrimitiveTypeCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Primitive Type CS'.
  See Also:
    `PrimitiveTypeCS`

### getTupleTypeCS

    public EClass getTupleTypeCS()

  Specified by:
    `getTupleTypeCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Tuple Type CS'.
  See Also:
    `TupleTypeCS`

### getTupleTypeCS_Variables

    public EReference getTupleTypeCS_Variables()

  Specified by:
    `getTupleTypeCS_Variables` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `TupleTypeCS.getVariables()`, `CSTPackage.getTupleTypeCS()`

### getCollectionTypeCS

    public EClass getCollectionTypeCS()

  Specified by:
    `getCollectionTypeCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Collection Type CS'.
  See Also:
    `CollectionTypeCS`

### getCollectionTypeCS_CollectionTypeIdentifier

    public EAttribute getCollectionTypeCS_CollectionTypeIdentifier()

  Specified by:
    `getCollectionTypeCS_CollectionTypeIdentifier` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Collection Type Identifier'.
  See Also:
    `CollectionTypeCS.getCollectionTypeIdentifier()`, `CSTPackage.getCollectionTypeCS()`

### getCollectionTypeCS_TypeCS

    public EReference getCollectionTypeCS_TypeCS()

  Specified by:
    `getCollectionTypeCS_TypeCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `CollectionTypeCS.getTypeCS()`, `CSTPackage.getCollectionTypeCS()`

### getOCLExpressionCS

    public EClass getOCLExpressionCS()

  Specified by:
    `getOCLExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'OCL Expression CS'.
  See Also:
    `OCLExpressionCS`

### getLetExpCS

    public EClass getLetExpCS()

  Specified by:
    `getLetExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Let Exp CS'.
  See Also:
    `LetExpCS`

### getLetExpCS_Variables

    public EReference getLetExpCS_Variables()

  Specified by:
    `getLetExpCS_Variables` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `LetExpCS.getVariables()`, `CSTPackage.getLetExpCS()`

### getLetExpCS_InExpression

    public EReference getLetExpCS_InExpression()

  Specified by:
    `getLetExpCS_InExpression` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'In Expression'.
  See Also:
    `LetExpCS.getInExpression()`, `CSTPackage.getLetExpCS()`

### getIfExpCS

    public EClass getIfExpCS()

  Specified by:
    `getIfExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'If Exp CS'.
  See Also:
    `IfExpCS`

### getIfExpCS_ThenExpression

    public EReference getIfExpCS_ThenExpression()

  Specified by:
    `getIfExpCS_ThenExpression` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Then Expression'.
  See Also:
    `IfExpCS.getThenExpression()`, `CSTPackage.getIfExpCS()`

### getIfExpCS_ElseExpression

    public EReference getIfExpCS_ElseExpression()

  Specified by:
    `getIfExpCS_ElseExpression` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Else Expression'.
  See Also:
    `IfExpCS.getElseExpression()`, `CSTPackage.getIfExpCS()`

### getIfExpCS_Condition

    public EReference getIfExpCS_Condition()

  Specified by:
    `getIfExpCS_Condition` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `IfExpCS.getCondition()`, `CSTPackage.getIfExpCS()`

### getOCLMessageArgCS

    public EClass getOCLMessageArgCS()

  Specified by:
    `getOCLMessageArgCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'OCL Message Arg CS'.
  See Also:
    `OCLMessageArgCS`

### getOCLMessageArgCS_TypeCS

    public EReference getOCLMessageArgCS_TypeCS()

  Specified by:
    `getOCLMessageArgCS_TypeCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `OCLMessageArgCS.getTypeCS()`, `CSTPackage.getOCLMessageArgCS()`

### getOCLMessageArgCS_Expression

    public EReference getOCLMessageArgCS_Expression()

  Specified by:
    `getOCLMessageArgCS_Expression` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression'.
  See Also:
    `OCLMessageArgCS.getExpression()`, `CSTPackage.getOCLMessageArgCS()`

### getLiteralExpCS

    public EClass getLiteralExpCS()

  Specified by:
    `getLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Literal Exp CS'.
  See Also:
    `LiteralExpCS`

### getEnumLiteralExpCS

    public EClass getEnumLiteralExpCS()

  Specified by:
    `getEnumLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Enum Literal Exp CS'.
  See Also:
    `EnumLiteralExpCS`

### getEnumLiteralExpCS_PathNameCS

    public EReference getEnumLiteralExpCS_PathNameCS()

  Specified by:
    `getEnumLiteralExpCS_PathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `EnumLiteralExpCS.getPathNameCS()`, `CSTPackage.getEnumLiteralExpCS()`

### getEnumLiteralExpCS_SimpleNameCS

    public EReference getEnumLiteralExpCS_SimpleNameCS()

  Specified by:
    `getEnumLiteralExpCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `EnumLiteralExpCS.getSimpleNameCS()`, `CSTPackage.getEnumLiteralExpCS()`

### getCollectionLiteralExpCS

    public EClass getCollectionLiteralExpCS()

  Specified by:
    `getCollectionLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Collection Literal Exp CS'.
  See Also:
    `CollectionLiteralExpCS`

### getCollectionLiteralExpCS_CollectionType

    public EAttribute getCollectionLiteralExpCS_CollectionType()

  Specified by:
    `getCollectionLiteralExpCS_CollectionType` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Collection Type'.
  See Also:
    `CollectionLiteralExpCS.getCollectionType()`, `CSTPackage.getCollectionLiteralExpCS()`

### getCollectionLiteralExpCS_CollectionLiteralParts

    public EReference getCollectionLiteralExpCS_CollectionLiteralParts()

  Specified by:
    `getCollectionLiteralExpCS_CollectionLiteralParts` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Collection Literal Parts'.
  See Also:
    `CollectionLiteralExpCS.getCollectionLiteralParts()`, `CSTPackage.getCollectionLiteralExpCS()`

### getTupleLiteralExpCS

    public EClass getTupleLiteralExpCS()

  Specified by:
    `getTupleLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Tuple Literal Exp CS'.
  See Also:
    `TupleLiteralExpCS`

### getTupleLiteralExpCS_Variables

    public EReference getTupleLiteralExpCS_Variables()

  Specified by:
    `getTupleLiteralExpCS_Variables` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `TupleLiteralExpCS.getVariables()`, `CSTPackage.getTupleLiteralExpCS()`

### getPrimitiveLiteralExpCS

    public EClass getPrimitiveLiteralExpCS()

  Specified by:
    `getPrimitiveLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Primitive Literal Exp CS'.
  See Also:
    `PrimitiveLiteralExpCS`

### getPrimitiveLiteralExpCS_Symbol

    public EAttribute getPrimitiveLiteralExpCS_Symbol()

  Specified by:
    `getPrimitiveLiteralExpCS_Symbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `PrimitiveLiteralExpCS.getSymbol()`, `CSTPackage.getPrimitiveLiteralExpCS()`

### getIntegerLiteralExpCS

    public EClass getIntegerLiteralExpCS()

  Specified by:
    `getIntegerLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Integer Literal Exp CS'.
  See Also:
    `IntegerLiteralExpCS`

### getIntegerLiteralExpCS_IntegerSymbol

    public EAttribute getIntegerLiteralExpCS_IntegerSymbol()

  Specified by:
    `getIntegerLiteralExpCS_IntegerSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `IntegerLiteralExpCS.getIntegerSymbol()`, `CSTPackage.getIntegerLiteralExpCS()`

### getUnlimitedNaturalLiteralExpCS

    public EClass getUnlimitedNaturalLiteralExpCS()

  Specified by:
    `getUnlimitedNaturalLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Unlimited Natural Literal Exp CS'.
  See Also:
    `UnlimitedNaturalLiteralExpCS`

### getUnlimitedNaturalLiteralExpCS_IntegerSymbol

    public EAttribute getUnlimitedNaturalLiteralExpCS_IntegerSymbol()

  Specified by:
    `getUnlimitedNaturalLiteralExpCS_IntegerSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `UnlimitedNaturalLiteralExpCS.getIntegerSymbol()`, `CSTPackage.getUnlimitedNaturalLiteralExpCS()`

### getRealLiteralExpCS

    public EClass getRealLiteralExpCS()

  Specified by:
    `getRealLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Real Literal Exp CS'.
  See Also:
    `RealLiteralExpCS`

### getRealLiteralExpCS_RealSymbol

    public EAttribute getRealLiteralExpCS_RealSymbol()

  Specified by:
    `getRealLiteralExpCS_RealSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Real Symbol'.
  See Also:
    `RealLiteralExpCS.getRealSymbol()`, `CSTPackage.getRealLiteralExpCS()`

### getStringLiteralExpCS

    public EClass getStringLiteralExpCS()

  Specified by:
    `getStringLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'String Literal Exp CS'.
  See Also:
    `StringLiteralExpCS`

### getStringLiteralExpCS_StringSymbol

    public EAttribute getStringLiteralExpCS_StringSymbol()

  Specified by:
    `getStringLiteralExpCS_StringSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'String Symbol'.
  See Also:
    `StringLiteralExpCS.getStringSymbol()`, `CSTPackage.getStringLiteralExpCS()`

### getStringLiteralExpCS_UnescapedStringSymbol

    public EAttribute getStringLiteralExpCS_UnescapedStringSymbol()

  Specified by:
    `getStringLiteralExpCS_UnescapedStringSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Unescaped String Symbol'.
  Since:
    1.3
  See Also:
    `StringLiteralExpCS.getUnescapedStringSymbol()`, `CSTPackage.getStringLiteralExpCS()`

### getBooleanLiteralExpCS

    public EClass getBooleanLiteralExpCS()

  Specified by:
    `getBooleanLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Boolean Literal Exp CS'.
  See Also:
    `BooleanLiteralExpCS`

### getBooleanLiteralExpCS_BooleanSymbol

    public EAttribute getBooleanLiteralExpCS_BooleanSymbol()

  Specified by:
    `getBooleanLiteralExpCS_BooleanSymbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Boolean Symbol'.
  See Also:
    `BooleanLiteralExpCS.getBooleanSymbol()`, `CSTPackage.getBooleanLiteralExpCS()`

### getCollectionLiteralPartCS

    public EClass getCollectionLiteralPartCS()

  Specified by:
    `getCollectionLiteralPartCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Collection Literal Part CS'.
  See Also:
    `CollectionLiteralPartCS`

### getCollectionLiteralPartCS_ExpressionCS

    public EReference getCollectionLiteralPartCS_ExpressionCS()

  Specified by:
    `getCollectionLiteralPartCS_ExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `CollectionLiteralPartCS.getExpressionCS()`, `CSTPackage.getCollectionLiteralPartCS()`

### getCollectionRangeCS

    public EClass getCollectionRangeCS()

  Specified by:
    `getCollectionRangeCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Collection Range CS'.
  See Also:
    `CollectionRangeCS`

### getCollectionRangeCS_LastExpressionCS

    public EReference getCollectionRangeCS_LastExpressionCS()

  Specified by:
    `getCollectionRangeCS_LastExpressionCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Last Expression CS'.
  See Also:
    `CollectionRangeCS.getLastExpressionCS()`, `CSTPackage.getCollectionRangeCS()`

### getLoopExpCS

    public EClass getLoopExpCS()

  Specified by:
    `getLoopExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Loop Exp CS'.
  See Also:
    `LoopExpCS`

### getLoopExpCS_Variable1

    public EReference getLoopExpCS_Variable1()

  Specified by:
    `getLoopExpCS_Variable1` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Variable1'.
  See Also:
    `LoopExpCS.getVariable1()`, `CSTPackage.getLoopExpCS()`

### getLoopExpCS_Variable2

    public EReference getLoopExpCS_Variable2()

  Specified by:
    `getLoopExpCS_Variable2` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Variable2'.
  See Also:
    `LoopExpCS.getVariable2()`, `CSTPackage.getLoopExpCS()`

### getLoopExpCS_Body

    public EReference getLoopExpCS_Body()

  Specified by:
    `getLoopExpCS_Body` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `LoopExpCS.getBody()`, `CSTPackage.getLoopExpCS()`

### getIteratorExpCS

    public EClass getIteratorExpCS()

  Specified by:
    `getIteratorExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Iterator Exp CS'.
  See Also:
    `IteratorExpCS`

### getIterateExpCS

    public EClass getIterateExpCS()

  Specified by:
    `getIterateExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Iterate Exp CS'.
  See Also:
    `IterateExpCS`

### getOperationCallExpCS

    public EClass getOperationCallExpCS()

  Specified by:
    `getOperationCallExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Operation Call Exp CS'.
  See Also:
    `OperationCallExpCS`

### getIsMarkedPreCS

    public EClass getIsMarkedPreCS()

  Specified by:
    `getIsMarkedPreCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Is Marked Pre CS'.
  See Also:
    `IsMarkedPreCS`

### getIsMarkedPreCS_Pre

    public EAttribute getIsMarkedPreCS_Pre()

  Specified by:
    `getIsMarkedPreCS_Pre` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Pre'.
  See Also:
    `IsMarkedPreCS.isPre()`, `CSTPackage.getIsMarkedPreCS()`

### getPropertyContextCS

    public EClass getPropertyContextCS()

  Specified by:
    `getPropertyContextCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Property Context CS'.
  See Also:
    `PropertyContextCS`

### getPropertyContextCS_PathNameCS

    public EReference getPropertyContextCS_PathNameCS()

  Specified by:
    `getPropertyContextCS_PathNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `PropertyContextCS.getPathNameCS()`, `CSTPackage.getPropertyContextCS()`

### getPropertyContextCS_SimpleNameCS

    public EReference getPropertyContextCS_SimpleNameCS()

  Specified by:
    `getPropertyContextCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `PropertyContextCS.getSimpleNameCS()`, `CSTPackage.getPropertyContextCS()`

### getPropertyContextCS_TypeCS

    public EReference getPropertyContextCS_TypeCS()

  Specified by:
    `getPropertyContextCS_TypeCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `PropertyContextCS.getTypeCS()`, `CSTPackage.getPropertyContextCS()`

### getPropertyContextCS_InitOrDerValueCS

    public EReference getPropertyContextCS_InitOrDerValueCS()

  Specified by:
    `getPropertyContextCS_InitOrDerValueCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Init Or Der Value CS'.
  See Also:
    `PropertyContextCS.getInitOrDerValueCS()`, `CSTPackage.getPropertyContextCS()`

### getStateExpCS

    public EClass getStateExpCS()

  Specified by:
    `getStateExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'State Exp CS'.
  See Also:
    `StateExpCS`

### getStateExpCS_SequenceOfNames

    public EAttribute getStateExpCS_SequenceOfNames()

  Specified by:
    `getStateExpCS_SequenceOfNames` in interface `CSTPackage`
  Returns:
    the meta object for the attribute list 'Sequence Of Names'.
  See Also:
    `StateExpCS.getSequenceOfNames()`, `CSTPackage.getStateExpCS()`

### getOCLDocumentCS

    public EClass getOCLDocumentCS()

  Specified by:
    `getOCLDocumentCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'OCL Document CS'.
  Since:
    1.3
  See Also:
    `OCLDocumentCS`

### getOCLDocumentCS_PackageDeclarations

    public EReference getOCLDocumentCS_PackageDeclarations()

  Specified by:
    `getOCLDocumentCS_PackageDeclarations` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Package Declarations'.
  Since:
    1.3
  See Also:
    `OCLDocumentCS.getPackageDeclarations()`, `CSTPackage.getOCLDocumentCS()`

### getMessageExpCS

    public EClass getMessageExpCS()

  Specified by:
    `getMessageExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Message Exp CS'.
  See Also:
    `MessageExpCS`

### getMessageExpCS_Target

    public EReference getMessageExpCS_Target()

  Specified by:
    `getMessageExpCS_Target` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MessageExpCS.getTarget()`, `CSTPackage.getMessageExpCS()`

### getMessageExpCS_Kind

    public EAttribute getMessageExpCS_Kind()

  Specified by:
    `getMessageExpCS_Kind` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `MessageExpCS.getKind()`, `CSTPackage.getMessageExpCS()`

### getMessageExpCS_SimpleNameCS

    public EReference getMessageExpCS_SimpleNameCS()

  Specified by:
    `getMessageExpCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `MessageExpCS.getSimpleNameCS()`, `CSTPackage.getMessageExpCS()`

### getMessageExpCS_Arguments

    public EReference getMessageExpCS_Arguments()

  Specified by:
    `getMessageExpCS_Arguments` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `MessageExpCS.getArguments()`, `CSTPackage.getMessageExpCS()`

### getVariableCS

    public EClass getVariableCS()

  Specified by:
    `getVariableCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Variable CS'.
  See Also:
    `VariableCS`

### getVariableCS_Name

    public EAttribute getVariableCS_Name()

  Specified by:
    `getVariableCS_Name` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VariableCS.getName()`, `CSTPackage.getVariableCS()`

### getVariableCS_TypeCS

    public EReference getVariableCS_TypeCS()

  Specified by:
    `getVariableCS_TypeCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `VariableCS.getTypeCS()`, `CSTPackage.getVariableCS()`

### getVariableCS_InitExpression

    public EReference getVariableCS_InitExpression()

  Specified by:
    `getVariableCS_InitExpression` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Init Expression'.
  See Also:
    `VariableCS.getInitExpression()`, `CSTPackage.getVariableCS()`

### getNullLiteralExpCS

    public EClass getNullLiteralExpCS()

  Specified by:
    `getNullLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Null Literal Exp CS'.
  See Also:
    `NullLiteralExpCS`

### getNullLiteralExpCS_Symbol

    public EAttribute getNullLiteralExpCS_Symbol()

  Specified by:
    `getNullLiteralExpCS_Symbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `NullLiteralExpCS.getSymbol()`, `CSTPackage.getNullLiteralExpCS()`

### getInvalidLiteralExpCS

    public EClass getInvalidLiteralExpCS()

  Specified by:
    `getInvalidLiteralExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Invalid Literal Exp CS'.
  See Also:
    `InvalidLiteralExpCS`

### getInvalidLiteralExpCS_Symbol

    public EAttribute getInvalidLiteralExpCS_Symbol()

  Specified by:
    `getInvalidLiteralExpCS_Symbol` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `InvalidLiteralExpCS.getSymbol()`, `CSTPackage.getInvalidLiteralExpCS()`

### getCallExpCS

    public EClass getCallExpCS()

  Specified by:
    `getCallExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Call Exp CS'.
  See Also:
    `CallExpCS`

### getCallExpCS_Source

    public EReference getCallExpCS_Source()

  Specified by:
    `getCallExpCS_Source` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `CallExpCS.getSource()`, `CSTPackage.getCallExpCS()`

### getCallExpCS_Accessor

    public EAttribute getCallExpCS_Accessor()

  Specified by:
    `getCallExpCS_Accessor` in interface `CSTPackage`
  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `CallExpCS.getAccessor()`, `CSTPackage.getCallExpCS()`

### getCallExpCS_SimpleNameCS

    public EReference getCallExpCS_SimpleNameCS()

  Specified by:
    `getCallExpCS_SimpleNameCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `CallExpCS.getSimpleNameCS()`, `CSTPackage.getCallExpCS()`

### getFeatureCallExpCS

    public EClass getFeatureCallExpCS()

  Specified by:
    `getFeatureCallExpCS` in interface `CSTPackage`
  Returns:
    the meta object for class 'Feature Call Exp CS'.
  See Also:
    `FeatureCallExpCS`

### getFeatureCallExpCS_Arguments

    public EReference getFeatureCallExpCS_Arguments()

  Specified by:
    `getFeatureCallExpCS_Arguments` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `FeatureCallExpCS.getArguments()`, `CSTPackage.getFeatureCallExpCS()`

### getFeatureCallExpCS_IsMarkedPreCS

    public EReference getFeatureCallExpCS_IsMarkedPreCS()

  Specified by:
    `getFeatureCallExpCS_IsMarkedPreCS` in interface `CSTPackage`
  Returns:
    the meta object for the containment reference 'Is Marked Pre CS'.
  See Also:
    `FeatureCallExpCS.getIsMarkedPreCS()`, `CSTPackage.getFeatureCallExpCS()`

### getPrePostOrBodyEnum

    public EEnum getPrePostOrBodyEnum()

  Specified by:
    `getPrePostOrBodyEnum` in interface `CSTPackage`
  Returns:
    the meta object for enum 'Pre Post Or Body Enum'.
  See Also:
    `PrePostOrBodyEnum`

### getSimpleTypeEnum

    public EEnum getSimpleTypeEnum()

  Specified by:
    `getSimpleTypeEnum` in interface `CSTPackage`
  Returns:
    the meta object for enum 'Simple Type Enum'.
  See Also:
    `SimpleTypeEnum`

### getCollectionTypeIdentifierEnum

    public EEnum getCollectionTypeIdentifierEnum()

  Specified by:
    `getCollectionTypeIdentifierEnum` in interface `CSTPackage`
  Returns:
    the meta object for enum 'Collection Type Identifier Enum'.
  See Also:
    `CollectionTypeIdentifierEnum`

### getDotOrArrowEnum

    public EEnum getDotOrArrowEnum()

  Specified by:
    `getDotOrArrowEnum` in interface `CSTPackage`
  Returns:
    the meta object for enum 'Dot Or Arrow Enum'.
  See Also:
    `DotOrArrowEnum`

### getIToken

    public EDataType getIToken()

  Specified by:
    `getIToken` in interface `CSTPackage`
  Returns:
    the meta object for data type 'IToken'.
  Since:
    1.3
  See Also:
    `IToken`

### getMessageExpKind

    public EEnum getMessageExpKind()

  Specified by:
    `getMessageExpKind` in interface `CSTPackage`
  Returns:
    the meta object for enum 'Message Exp Kind'.
  See Also:
    `MessageExpKind`

### getCSTFactory

    public CSTFactory getCSTFactory()

  Specified by:
    `getCSTFactory` in interface `CSTPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.